import { user_properties, params, currency, user_id, value, items_single_products, send_to } from '../ga4-properties';
const action = {
    title: 'View Item',
    description: 'This event signifies that some content was shown to the user. Use this event to discover the most popular items viewed.',
    defaultSubscription: 'type = "track" and event =  "Product Viewed"',
    platform: 'web',
    fields: {
        user_id: user_id,
        currency: currency,
        value: value,
        items: {
            ...items_single_products,
            required: true
        },
        user_properties: user_properties,
        params: params,
        send_to: send_to
    },
    perform: (gtag, { payload, settings }) => {
        gtag('event', 'view_item', {
            currency: payload.currency,
            value: payload.value,
            items: payload.items,
            user_id: payload.user_id ?? undefined,
            user_properties: payload.user_properties,
            send_to: payload.send_to == true ? settings.measurementID : 'default',
            ...payload.params
        });
    }
};
export default action;
//# sourceMappingURL=index.js.map